Unix / Linux systems
Prev | Chapter 1. Installation | Next

## Unix / Linux systems

### Prerequisites

Amy uses the Berkeley DB library (http://www.sleepycat.com) software to store the opening book. If you plan to use Amy with an opening book (which is quite likely), you should install the Berkeley DB software prior to compiling Amy. Note that there are several revisions of the Berkeley DB software. Amy is known to work with revision 2 software (tested with versions 2.7.3 and 2.7.7).

### Compiling from source

Amy uses the autoconf utility to configure operating system dependant details. The standard procedure to build Amy is to issue the commands `./configure && make && make install`. This will configure Amy for your platform, compile and install it in `/usr/local`.

Table 1.1. autoconf parameters

Option | Description
--- | ---
`--with-dbpath=`path`` | Allows you to specify the directory where the Berkeley DB software is installed.
`--enable-mt` | Enable multithreaded search.

### Using the FreeBSD port

On FreeBSD there is an Amy port located in `/usr/ports/games/amy`. To install Amy issue the command `cd /usr/ports/games/amy && make install`.

Prev | Up | Next
Chapter 1. Installation | Home | Mac OS X